Bug 722785 - No boot-time microcode update visible after microcode_ctl 1.17-15 update
No boot-time microcode update visible after microcode_ctl 1.17-15 update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anton Arapov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-17 16:25 EDT by Stan King
Modified: 2014-06-18 04:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: microcode_ctl-1.17-16.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-30 23:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stan King 2011-07-17 16:25:22 EDT
Description of problem:

After Fedora 15 Update microcode_ctl-1.17-15.fc15, my Intel systems' boot messages no longer indicate a microcode update.

For example, on this machine, the relevant boot messages were:

microcode: CPU0 sig=0x6fd, pf=0x80, revision=0xa3
microcode: CPU1 sig=0x6fd, pf=0x80, revision=0xa3
microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
microcode: CPU0 updated to revision 0xa4, date = 2010-10-02
microcode: CPU1 updated to revision 0xa4, date = 2010-10-02

After the update to microcode_ctl-1.17-15.fc15, only the first three lines appear.  However, the last two lines will still appear if I run "microcode_ctl -u" as root.

This processor is an Intel Core 2 Duo T5250, but I think I can provide other examples if you'd like.


Version-Release number of selected component (if applicable):

microcode_ctl-1.17-15.fc15

How reproducible:

Perform a normal boot of the system.

Steps to Reproduce:
1. Boot system.
2.
3.
  
Actual results:

No confirmation of updated CPU microcode.

Expected results:

Boot messages, visible in dmesg output or in /var/log/messages, indicating that CPU microcode was updated.

Additional info:

Upon request, of course.
Comment 1 Fedora Update System 2011-07-21 07:08:55 EDT
microcode_ctl-1.17-16.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/microcode_ctl-1.17-16.fc15
Comment 2 Anton Arapov 2011-07-21 07:09:45 EDT
See details in bug 690930
Comment 3 Fedora Update System 2011-07-22 22:08:28 EDT
Package microcode_ctl-1.17-16.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing microcode_ctl-1.17-16.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/microcode_ctl-1.17-16.fc15
then log in and leave karma (feedback).
Comment 4 Stan King 2011-07-25 16:27:36 EDT
This change is working well for me on an Intel Atom N280 and the Core 2 Duo T5250 mentioned above, both of which required a microcode update.  It also works on a Pentium 4 "650", which did not need a microcode update.  Thanks for the good work.

On an AMD Athlon II X4 620, it got the usual "AMD microcode update via /dev/cpu/microcode not supported" message, strangely enough, 7 times for a 4-core processor.  I understand that this is expected behavior.
Comment 5 Fedora Update System 2011-07-30 23:52:22 EDT
microcode_ctl-1.17-16.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.